Classes | External Control>OSC>Matchers

# OSCFuncAddrMessageMatcher : AbstractMessageMatcher : Object

Matches incoming messages to responder funcs based on sender address
Source: ResponseDefs.sc
See also: AbstractMessageMatcher, OSCFuncRecvPortMessageMatcher, OSCFuncBothMessageMatcher

## Description

This is used by OSCMessageDispatcher and OSCMessagePatternDispatcher to match incoming OSC messages to instances of OSCFunc or OSCdef using sender address. This class is private, and generally users should not need to address instances directly.

## Class Methods

### OSCFuncAddrMessageMatcher.new(addr, func)

Make a new instance.

#### Arguments:

addr | The NetAddr to attempt to match.
func | The Function to evaluate if a match is found.

#### Returns:

An OSCFuncAddrMessageMatcher.

### Inherited class methods

## Instance Methods

### .value(msg, time, testAddr, recvPort)

Check to see if a message matches, and evaluate func if it does.

#### Arguments:

msg | The OSC message as an Array in the form `[OSCAddress, other args]`.
time | A Float indicating the time the incoming message was sent.
testAddr | A NetAddr indicating the source of the message.
recvPort | An Integer indicating the port on which the message was received.

### Inherited instance methods

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/OSCFuncAddrMessageMatcher.schelp
link::Classes/OSCFuncAddrMessageMatcher::